<?php

// Initial Variable Defines
$version = "1.5";
$failureTwo = 0;
$failureFive = 0;
$failureSix = 0;
$insertVar = 0;

$op = getVar("op");
$phase = getVar("phase");

// Install or Upgrade Check & Set
if (file_exists('install.cert') && file_exists('upgrade')) {
    $upgrade = 1;
}

// OP Switching
if (!$op) $op = "pub_main";
if (!strstr($op, "pub_")) $op = "pub_$op";

// Phase Setting
if (!$phase) $phase = "phaseOne";

// Setup Page Execution
heading();
site();
footing();

function phaseOne() {
        global $version;

        $aversion = getVersion();

        $out .= "Welcome to the OpenAanval Intrusion Detection Console Setup Process.<p>";
        $out .= "Setup Version: $version<br>";
        $out .= "Aanval Version: $aversion<p>";
        $out .= "The following steps will assist you with the setup and installation of Aanval. Please proceed with the installation by reading and
                answering all information and questions correctly and as accurately as possible.<p>";
        $out .= "<b><h3>OpenAanval License</h3></b><p>";

        $out .= "<table border=0 width=60%><tr><td><font face=arial size=2>";
        $out .= "REMOTE ASSESSMENT LIMITED USE OPEN SOURCE LICENSE (L1-RA1008)<br>";
        $out .= "Version 1, August 2004<br>";
        $out .= "Copyright (C) 2004 Remote Assessment<p>";
        $out .= "TERMS AND CONDITIONS FOR DISTRIBUTION AND MODIFICATION<p>";
        $out .= "Section 1:<br>
                You may copy and distribute verbatim copies of this program's source code as distributed by Remote Assessment and Aanval, in any medium,
                provided it remains in tact in its original authorized state and configuration as released by Remote Assessment and Aanval.<p>";
        $out .= "Section 2:<br>
                You may modify your copy or copies of this program or any portion of it, thus forming a work based on the program provided that you comply with
                the following conditions:<br>
                        a) The modified program can not be copied or duplicated.<br>
                        b) The modified program can not be distributed.<br>
                        c) The modified program can not be sold.<br>
                        d) The modified program can not be used for monetary gain.<p>";
        $out .= "Section 3:<br>
                You may not distribute copies of this program for the purpose of monetary gain or as a commercial service or product without previous
                express written authorization. Only approved and authorized modifications and distributions may be made available to select markets and
                idustries as dictated by authorized Remote Assessment and Aanval personel. This program may not be distributed in combination with any
                other application or combination of applications. Pre-installed distributions of this program on hardware devices is acceptable only with
                previous express written authorization.<p>";
        $out .= "WARRANTY<p>
                BECAUSE THIS PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
                FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  THIS PROGRAM IS
                PROVIDE \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
                OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
                MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
                TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
                PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
                REPAIR OR CORRECTION.<p>

                IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
                WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
                REDISTRIBUTE THE PROGRAM AS PERMITTED BY THIS LICENSE, BE LIABLE TO YOU FOR DAMAGES,
                INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
                OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
                TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
                YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
                PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
                POSSIBILITY OF SUCH DAMAGES.<p>

                END OF TERMS AND CONDITIONS.<p>";

        $out .= "--<br>You must have read and fully agree to this license and its terms and conditions in order to continue with the setup and use of the OpenAanval
                program. Indicate your acceptance below.<p>";
        $out .= "<center><form method=post action ='?phase=phaseTwo'><input type=submit name=b1 value='I ACCEPT'><br>
                <input type=checkbox checked name=sendNotify> Send license acceptance email to Aanval<br>
                <input type=checkbox checked name=versionCheck> Check Aanval website for new version</form></center>";

        $out .= "</font></td></tr></table>";


        return $out;
}

function phaseTwo() {
        global $failureTwo;

        $sendNotify = getVar("sendNotify");
        $versionCheck = getVar("versionCheck");
        $oaversion = getVersion();

        $out .= "<font color=#555555><b>Setup</b> -> Phase Two (System Tests)</font><p>";
        $out .= "Various system tests will be performed to ensure the system is capable of installing and running this version of Aanval.<p>";

        // License Acceptance Email Check
        if ($sendNotify) {
		$ip = $_SERVER['REMOTE_ADDR'];
                $date = date("U");

                $subject = "OpenAanval License Acceptance";
                $message = "$ip accepted OpenAanval [$oaversion] License @ $date\n\n";
                pub_sendmail("Administration@RemoteAssessment.com", "Administration", "administration@remoteassessment.com", "Admin", "$subject", $message);
        }

        // Version Website Check
        if ($versionCheck) {
                $out .= "Version Check Status: (";
                $out .= versionChecker();
                $out .= ")<br>";
        }

        // File & Directory Checks
        $out .= "<p>";
        $out .= "<font color=blue>File & Directory Tests [existance]</font><br>";

        // Exists
        $out .= fileExistTest("../tmp/");
        $out .= fileExistTest("../conf/");
        $out .= fileExistTest("../installation/");
        $out .= fileExistTest("../modules/");
        $out .= fileExistTest("../version/");
        $out .= fileExistTest("../contrib/");
        $out .= fileExistTest("../images/");
        $out .= fileExistTest("../poll/");
        $out .= fileExistTest("../syslog/");
        $out .= fileExistTest("../sounds/");
	$out .= fileExistTest("../docs/");
        $out .= fileExistTest("../apps/");

        $out .= fileExistTest("../apps/processor.php");
        $out .= fileExistTest("../poll/monitor_poll.php");
        $out .= fileExistTest("../version/version.txt");

        // Writable
        $out .= "<font color=blue>File & Directory Tests [writable]</font><br>";
        $out .= fileWriteTest("../tmp/");
        $out .= fileWriteTest("../conf/");
        $out .= fileWriteTest("../version/");
        $out .= fileWriteTest("../bulletin/");
        $out .= fileWriteTest("../installation/");
	$out .= fileWriteTest("../apps/");

        if ($failureTwo == 0) {
                $out .= "<br><form method=post action ='?phase=phaseThree'><input type=submit name=b1 value='Next Phase'></form>";
        } else {
                $out .= "<p><font color=red>Setup can not continue until the above failures have been resolved!</font>";
        }

        return $out;
}

function phaseThree() {
        global $HTTP_SERVER_VARS;

        $out .= "<font color=#555555><b>Setup</b> -> Phase Three (Configuration Information)</font><p>";
        $out .= "Answer the following questions and fill out the forms completely to continue your OpenAanval setup and installation.<p>
                <i>Note: At this point you should have already created your OpenAanval database.</i><p>";

        // Aanval URL
        $url = $HTTP_SERVER_VARS['SERVER_NAME'];
        if ($HTTP_SERVER_VARS['SERVER_PORT'] != 80 && $HTTP_SERVER_VARS['SERVER_PORT'] != 443) {
                $url .= ":" . $HTTP_SERVER_VARS['SERVER_PORT'];
        }
        if ($HTTP_SERVER_VARS['HTTPS'] == "on") {
                $protocol = "https://";
        } else {
                $protocol = "http://";
        }
        $rootURL = $protocol . $url . dirname($HTTP_SERVER_VARS['PHP_SELF']);
        $rootURL = str_replace("installation", "", $rootURL);

        // Aanval Path
        $baseDIR = preg_replace('/installation$/i', '', str_replace('\\', '/', dirname(__FILE__)), 1);

        // Display
        $out .= "<form method=post action='?phase=phaseFour'>";
        $out .= "<table border=0 width=50% cellpadding=0 cellspacing=0>";
        $out .= "<tr><td>Database Name:</td><td><input type=text size=25 name=dbname> <font color=blue>*</font></td></tr>";
        $out .= "<tr><td>Database Username:</td><td><input type=text size=25 name=dbusername> <font color=blue>*</font></td></tr>";
        $out .= "<tr><td>Database Password:</td><td><input type=password size=25 name=dbuserpass></td></tr>";
        $out .= "<tr><td>Database Hostname:</td><td><input type=text size=25 name=dbhost value=\"localhost\"> <font color=blue>*</font></td></tr>";
#        $out .= "<tr><td>Database Table Prefix:</td><td><input type=text size=25 name=dbprefix></td></tr>";
        $out .= "<tr><td>&nbsp;</td><td>&nbsp;</td></tr>";
        $out .= "<tr><td>Auto Version Checking:</td><td><input type=checkbox checked name=versioncheck></td></tr>";
        $out .= "<tr><td>Auto Bulletin Checking:</td><td><input type=checkbox checked name=bulletincheck></td></tr>";
        $out .= "<tr><td>&nbsp;</td><td>&nbsp;</td></tr>";
        $out .= "<tr><td>Site Root URL:</td><td><input type=text size=50 name=rooturl value=\"$rootURL\"> <font color=blue>*</font></td></tr>";
        $out .= "<tr><td>Site Base Dir:</td><td><input type=text size=50 name=basedir value=\"$baseDIR\"> <font color=blue>*</font></td></tr>";
        $out .= "<tr><td>&nbsp;</td><td>&nbsp;</td></tr>";
        $out .= "<tr><td><input type=submit name=b1 value='Next Phase'></td><td><font color=blue>*</font> = Required</td></tr>";
        $out .= "</table>";
        $out .= "</form>";

        return $out;
}

function phaseFour() {

        $dbname = getVar("dbname");
        $dbusername = getVar("dbusername");
        $dbuserpass = getVar("dbuserpass");
        $dbhost = getVar("dbhost");
        $dbprefix = getVar("dbprefix");
        $versioncheck = getVar("versioncheck");
        $bulletincheck = getVar("bulletincheck");
        $rootURL = getVar("rooturl");
        $baseDIR = getVar("basedir");

        // Variable checking / setting
        if ($versioncheck) {
                $versioncheck = 1;
        } else {
                $versioncheck = 0;
        }
        if ($bulletincheck) {
                $bulletincheck = 1;
        } else {
                $bulletincheck = 0;
        }

        $out .= "<font color=#555555><b>Setup</b> -> Phase Four (Database Tests)</font><p>";
        $out .= "The following tests will ensure Aanval has the correct settings and permissions to properly install and run on this system.<p>";

        // Write Configuration File
        $out .= "<font color=blue>Configuration File</font><br>";
        $write = writeConfigFile($dbname, $dbusername, $dbuserpass, $dbhost, $dbprefix, $versioncheck, $bulletincheck, $rootURL, $baseDIR);
        if ($write == 1) {
                $out .= "Configuration File \"/conf/conf.php\" Written Successfuly.<p>";
        } else {
                $out .= "<font color=red>Configuration File \"/conf/conf.php\" Writing Failed!</font><p>";
                $failure = 1;
        }

        // Database access
        $out .= "<font color=blue>Database Tests</font><br>";
        if (@mysql_connect("$dbhost", "$dbusername", "$dbuserpass")) {
                $out .= "MYSQL Connection Successful<br>";
                if (@mysql_select_db($dbname)) {
                        $out .= "MYSQL Select Database Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL Select Database Failed! (Incorrect database name)</font><br>";
                        $failure = 1;
                }
        } else {
                $out .= "<font color=red>MYSQL Connection Failed! (Incorrect hostname, username and / or password)</font><br>";
                $failure = 1;
        }

        // Permissions, etc.
        if (!$failure) {

                // Check to see if testTable exists and if so then test DROP capabilities
                if (@mysql_query("select * from testTable")) {
                        if (@mysql_query("drop table testTable")) {
                                $out .= "MYSQL DROP Query Successful<br>";
                        } else {
                                $out .= "<font color=red>MYSQL DROP Query Failed! (Check user privileges)</font><br>";
                                $failure = 1;
                        }
                }

                // CREATE
                if (@mysql_query("create table testTable(one int(5), two varchar(10))")) {
                        $out .= "MYSQL CREATE Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL CREATE Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }

                // INSERT
                if (@mysql_query("insert into testTable (one, two) values ('1', 'test')")) {
                        $out .= "MYSQL INSERT Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL INSERT Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }

                // SELECT
                if (@mysql_query("select * from testTable")) {
                        $out .= "MYSQL SELECT Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL SELECT Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }

                // UPDATE
                if (@mysql_query("update testTable set one = 2")) {
                        $out .= "MYSQL UPDATE Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL UPDATE Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }

                // ALTER
                if (@mysql_query("alter table testTable add three varchar(50)")) {
                        $out .= "MYSQL ALTER Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL ALTER Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }

                // DELETE
                if (@mysql_query("delete from testTable where one < 999")) {
                        $out .= "MYSQL DELETE Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL DELETE Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }

                // DROP
                if (@mysql_query("drop table testTable")) {
                        $out .= "MYSQL DROP Query Successful<br>";
                } else {
                        $out .= "<font color=red>MYSQL DROP Query Failed! (Check user privileges)</font><br>";
                        $failure = 1;
                }
        }

        if (!$failure) {
                $out .= "<br><form method=post action ='?phase=phaseFive'><input type=submit name=b1 value='Next Phase'></form>";
        } else {
                $out .= "<p><font color=red>Setup can not continue until the above failures have been resolved!</font>";
        }

        @mysql_close();

        return $out;
}

function phaseFive() {
        global $failureFive, $insertVar, $upgrade;

        include "../conf/conf.php";

        if (!$upgrade) {
            $out .= "<font color=#555555><b>Setup</b> -> Phase Five (Database Table Creation)</font><p>";
            $out .= "The following processes will create the necessary tables for Aanval to operate appropriately.<p>";
        } else if ($upgrade == 1) {
            $out .= "<font color=#555555><b>Setup</b> -> Upgrade (Database Table Creation and Upgrade)</font><p>";
            $out .= "The following processes will create and update the necessary tables for Aanval to operate appropriately.<p>";
        }

        // Create Tables
        $out .= "<font color=blue>Table Creation</font><br>";
        $out .= createTable($aanvaldbprefix . "idsLogs", "CREATE TABLE " . $aanvaldbprefix . "idsLogs (  id int(15) NOT NULL auto_increment,  uid int(10) default NULL,  flag int(5) default NULL,  module varchar(50) default NULL,  action varchar(100) default NULL,  misc text,  intime int(10) default NULL,  ip varchar(100) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsMark", "CREATE TABLE " . $aanvaldbprefix . "idsMark (  ip int(10) unsigned NOT NULL default '0',  mark int(10) default NULL,  PRIMARY KEY  (ip)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsTrack", "CREATE TABLE " . $aanvaldbprefix . "idsTrack (  id int(10) NOT NULL auto_increment,  eid int(10) default NULL,  sid smallint(5) default NULL,  epoch int(10) default NULL,  etypeid smallint(5) default NULL,  sport mediumint(6) default NULL,  dport mediumint(6) default NULL,  etypename varchar(100) default NULL,  sip int(10) unsigned default NULL,  dip int(10) unsigned default NULL,  proto smallint(5) default NULL,  module tinyint(2) default NULL,  enabled tinyint(1) default NULL,  level smallint(5) default NULL,  ename varchar(100) default NULL,  xcol1 int(10) default NULL,  xcol2 int(10) default NULL,  xcol3 int(10) default NULL,  xcol4 int(10) default NULL,  xcol5 varchar(100) default NULL,  timestamp int(10) default NULL,  sensorid smallint(5) default NULL,  enameid int(10) default NULL,  PRIMARY KEY  (id),  KEY epoch_index (epoch),  KEY sip_index (sip),  KEY dip_index (dip),  KEY etypename_index (etypename),  KEY etypename2_index (etypename,etypeid),  KEY sid_index (sid),  KEY module_index (module),  KEY sensorid_index (sensorid)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsSensor", "CREATE TABLE " . $aanvaldbprefix . "idsSensor (  id int(10) NOT NULL auto_increment,  sid smallint(3) default NULL,  name varchar(200) default NULL,  location varchar(200) default NULL,  description text,  os varchar(100) default NULL,  module smallint(3) default NULL,  timezone varchar(100) default NULL,  enabled int(10) default NULL,  intime varchar(100) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsMain", "CREATE TABLE " . $aanvaldbprefix . "idsMain (  id int(10) NOT NULL default '0',  eid int(10) default NULL,  sid smallint(5) default NULL,  epoch int(10) default NULL,  etypeid smallint(5) default NULL,  sport mediumint(6) default NULL,  dport mediumint(6) default NULL,  etypename varchar(100) default NULL,  sip int(10) unsigned default NULL,  dip int(10) unsigned default NULL,  proto smallint(5) default NULL,  module tinyint(2) default NULL,  enabled tinyint(1) default NULL,  level smallint(5) default NULL,  ename varchar(100) default NULL,  xcol1 int(10) default NULL,  xcol2 int(10) default NULL,  xcol3 int(10) default NULL,  xcol4 int(10) default NULL,  xcol5 varchar(100) default NULL,  timestamp int(10) default NULL,  sensorid smallint(5) default NULL,  enameid int(10) default NULL,  PRIMARY KEY  (id),  KEY epoch_index (epoch),  KEY sip_index (sip),  KEY dip_index (dip),  KEY etypename_index (etypename),  KEY etypename2_index (etypename,etypeid),  KEY sid_index (sid),  KEY module_index (module),  KEY sensorid_index (sensorid)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsCollection", "CREATE TABLE " . $aanvaldbprefix . "idsCollection (  id int(10) NOT NULL auto_increment,  userid int(10) default NULL,  name varchar(100) default NULL,  description varchar(200) default NULL,  listing text,  enabled int(10) default NULL,  timestamp varchar(100) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsFrequentOffenders", "CREATE TABLE " . $aanvaldbprefix . "idsFrequentOffenders (  ip int(10) unsigned NOT NULL default '0',  cnt int(10) default NULL,  timestamp varchar(100) default NULL,  PRIMARY KEY  (ip)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsAction", "CREATE TABLE " . $aanvaldbprefix . "idsAction (  id int(10) NOT NULL auto_increment,  userid smallint(5) default NULL,  name varchar(200) default NULL,  type smallint(5) default NULL,  enabled int(10) default NULL,  intime varchar(100) default NULL,  module tinyint(2) default NULL,  sip int(10) unsigned default NULL,  dip int(10) unsigned default NULL,  sport int(10) default NULL,  dport int(10) default NULL,  proto smallint(5) default NULL,  enameid int(10) default NULL,  etypeid int(10) default NULL,  sensorid smallint(5) default NULL,  level smallint(5) default NULL,  threshold int(10) default NULL,  threshold_count int(10) default NULL,  count int(10) default NULL,  description varchar(250) default NULL,  one_time tinyint(3) default NULL,  xcol1 varchar(100) default NULL,  xcol2 int(10) default NULL,  xcol3 int(10) default NULL,  xcol4 varchar(200) default NULL,  xcol5 varchar(200) default NULL,  threshold_time int(10) default NULL,  threshold_event_time int(10) unsigned default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsOadBuffer", "CREATE TABLE " . $aanvaldbprefix . "idsOadBuffer (  id int(10) NOT NULL auto_increment,  ip int(20) default NULL,  sig_id int(10) default NULL,  timestamp int(20) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsHostnames", "CREATE TABLE " . $aanvaldbprefix . "idsHostnames (  ip int(10) unsigned NOT NULL default '0',  hostname varchar(200) default NULL,  timestamp varchar(100) default NULL,  PRIMARY KEY  (ip)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsModules", "CREATE TABLE " . $aanvaldbprefix . "idsModules (  id int(10) NOT NULL auto_increment,  module varchar(20) default NULL,  enabled int(10) default NULL,  auth_db_user varchar(50) default NULL,  auth_db varchar(50) default NULL,  auth_db_pass varchar(50) default NULL,  auth_db_host varchar(50) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsOps", "CREATE TABLE " . $aanvaldbprefix . "idsOps (  id int(11) NOT NULL auto_increment,  var varchar(100) default NULL,  val text,  type int(5) default NULL,  cat int(5) default NULL,  mod_date timestamp(14) NOT NULL,  intime timestamp(14) NOT NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsStatus", "CREATE TABLE " . $aanvaldbprefix . "idsStatus (  id int(10) NOT NULL auto_increment,  var varchar(100) default NULL,  val varchar(100) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsTimezones", "CREATE TABLE " . $aanvaldbprefix . "idsTimezones (  id int(10) NOT NULL auto_increment,  name varchar(100) default NULL,  zone int(10) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsUsers", "CREATE TABLE " . $aanvaldbprefix . "idsUsers (  id int(11) NOT NULL auto_increment,  username varchar(50) default NULL,  fname varchar(20) default NULL,  lname varchar(20) default NULL,  organization varchar(40) default NULL,  email varchar(50) default NULL,  phone varchar(30) default NULL,  secword varchar(50) default NULL,  password varchar(100) default NULL,  enabled int(3) default NULL,  loginip varchar(20) default NULL,  logintime varchar(50) default NULL,  intime date default NULL,  type int(10) default NULL,  lang int(5) default NULL,  pgp text,  country varchar(50) default NULL,  state varchar(50) default NULL,  city varchar(50) default NULL,  sensors varchar(200) default NULL,  display_rows smallint(5) default NULL,  monitor_rows int(10) default NULL,  monitor_poll int(10) default NULL,  timezone int(10) default NULL,  monitor_alertall int(10) default NULL,  monitor_field_1 varchar(20) default NULL,  monitor_field_2 varchar(20) default NULL,  monitor_field_3 varchar(20) default NULL,  monitor_field_4 varchar(20) default NULL,  monitor_field_5 varchar(20) default NULL,  monitor_field_6 varchar(20) default NULL,  monitor_field_7 varchar(20) default NULL,  monitor_field_8 varchar(20) default NULL,  monitor_field_9 varchar(20) default NULL,  monitor_field_10 varchar(20) default NULL,  monitor_custom1_c1 int(5) default NULL, monitor_custom1_c2 int(5) default NULL, monitor_custom1_c3 int(5) default NULL, monitor_custom1_c4 int(5) default NULL, monitor_custom1_c5 int(5) default NULL, monitor_custom1_c6 int(5) default NULL, monitor_custom1_c7 int(5) default NULL, monitor_custom1_c8 int(5) default NULL, monitor_custom1_c9 int(5) default NULL, monitor_custom1_c10 int(5) default NULL, communityNick varchar(100), PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsNotes", "CREATE TABLE " . $aanvaldbprefix . "idsNotes (  id int(10) NOT NULL auto_increment,  trackid int(10) default NULL,  collectionid int(10) default NULL,  note text,  timestamp varchar(100) default NULL,  enabled int(10) default NULL,  userid int(10) default NULL,  read_access int(10) default NULL,  write_access int(10) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsScanner", "CREATE TABLE " . $aanvaldbprefix . "idsScanner ( id int(10) NOT NULL auto_increment, ip int(10) unsigned, status int(5), tcp_ports text, udp_ports text, uid int(10), type int(10), enabled int(5), timestamp varchar(100), PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsCommunityBuffer", "CREATE TABLE " . $aanvaldbprefix . "idsCommunityBuffer (  id int(10) NOT NULL auto_increment, sender varchar(100),  message text, timestamp int(20) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");
        $out .= createTable($aanvaldbprefix . "idsCommunityMain", "CREATE TABLE " . $aanvaldbprefix . "idsCommunityMain (  id int(10) NOT NULL,  sender varchar(100) default NULL,  message text,  timestamp int(20) default NULL,  PRIMARY KEY  (id)) TYPE=MyISAM");

        // Insert Table Data
        # idsModules
        $out .= "<br><font color=blue>Table Data Creation</font><br>";
        $out .= insertTableData($aanvaldbprefix . "idsModules", "INSERT INTO " . $aanvaldbprefix . "idsModules VALUES (1,'snort',0,'default_username','db_name','password','localhost')");
        $out .= insertTableData($aanvaldbprefix . "idsModules", "INSERT INTO " . $aanvaldbprefix . "idsModules VALUES (2,'syslog',0,'default_username','db_name','password','localhost')");

        # idsUsers
        $out .= insertTableData($aanvaldbprefix . "idsUsers", "INSERT INTO " . $aanvaldbprefix . "idsUsers VALUES (102,'root','Root','Account','','administration@remoteassessment.com','773-348-8622','Secret','b7c087f49d2394c3e93835605ff147b8',1,'68.100.165.32','2003-04-27 01:40:24','2003-04-27',10,2,'','USA','IL','Chicago','1',40,40,5,62,0,'level_image','','date_time','event','source','destination','','sensor_name','sensor_type','', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'Anonymous')");

        # idsStatus
        $out .= insertTableData($aanvaldbprefix . "idsStatus", "INSERT INTO " . $aanvaldbprefix . "idsStatus VALUES (1,'processor_lastRun','0')");
        $out .= insertTableData($aanvaldbprefix . "idsStatus", "INSERT INTO " . $aanvaldbprefix . "idsStatus VALUES (2,'oad_lastUpload','0')");
        $out .= insertTableData($aanvaldbprefix . "idsStatus", "INSERT INTO " . $aanvaldbprefix . "idsStatus VALUES (3,'processor_totalRunCount','0')");
        $out .= insertTableData($aanvaldbprefix . "idsStatus", "INSERT INTO " . $aanvaldbprefix . "idsStatus VALUES (4,'oad_totalUploadCount','0')");

        # idsTimezones
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (1,'London, England',0)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (2,'Dublin, Ireland',0)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (3,'Edinburgh, Scotland',0)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (4,'Lisbon, Portugal',0)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (5,'Reykjavik, Iceland',0)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (6,'Casablanca, Morocco',0)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (7,'Paris, France',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (8,'Berlin, Germany',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (9,'Amsterdam, Holland',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (10,'Netherlands',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (11,'Brussels, Belgium',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (12,'Vienna, Austria',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (13,'Madrid, Spain',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (14,'Rome, Italy',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (15,'Bern, Switzerland',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (16,'Stockholm, Sweden',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (17,'Oslo, Norway',1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (18,'Athens, Greece',2)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (19,'Helsinki, Finland',2)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (20,'Istanbul, Turkey',2)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (21,'Jerusalem, Israel',2)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (22,'Harare, Zimbabwe',2)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (23,'Kuwait',3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (24,'Nairobi, Kenya',3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (25,'Riyadh, Saudi Arabia',3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (26,'Moscow, Russia',3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (27,'Tehran, Iran',3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (28,'Adu Dhabi, UAE',4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (29,'Muscat',4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (30,'Tblisi',4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (31,'Volgograd',4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (32,'Kabul',4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (33,'Afghanistan',4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (34,'India',5)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (35,'Cocos Islands',6)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (36,'China',8)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (37,'Japan',9)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (38,'Darwin, Australia',9)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (39,'Adelaide, Australia',9)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (40,'Guam',10)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (41,'Lord Howe Island',10)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (42,'Norfolk Island',11)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (43,'Wellington, New Zealand',12)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (44,'Fiji',12)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (45,'Marshall, Islands',12)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (46,'Rawaki Islands',13)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (47,'Line Islands',14)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (48,'Azores, Cape Verde Islands',-1)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (49,'Brasilia, Brazil',-3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (50,'Buenos Aires, Argentina',-3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (51,'Georgetown, Guyana',-3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (52,'Newfoundland',-3)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (53,'Caracas',-4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (54,'La Paz',-4)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (55,'Bogota',-5)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (56,'Lima, Peru',-5)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (57,'New York, USA',-5)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (58,'Miami, USA',-5)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (59,'Boston, USA',-5)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (60,'Mexico City, Mexico',-6)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (61,'Saskatchewan, Canada',-6)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (62,'Chicago, USA',-6)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (63,'Dallas, USA',-6)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (64,'Kansas City, USA',-6)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (65,'Boise, USA',-7)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (66,'Salt Lake City, USA',-7)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (67,'Albuquerque, USA',-7)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (68,'Seattle, USA',-8)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (69,'Portland, USA',-8)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (70,'Los Angeles, USA',-8)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (71,'Alaska',-10)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (72,'Hawaii',-10)");
        $out .= insertTableData($aanvaldbprefix . "idsTimezones", "INSERT INTO " . $aanvaldbprefix . "idsTimezones VALUES (73,'Nome',-11)");

        # idsOps
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (1,'img_powerby_snort_a','images/pbs_openaanval_s.jpg',1,1,20040418193848,20040418133405)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (2,'alt_copyright_a','Copyright 2002 - 2004 Remote Assessment; All Rights Reserved',1,1,20040418234939,20040418234939)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (3,'text_copyright_a','Copyright 2002 - 2004 Remote Assessment; All Rights Reserved',1,1,20040418235208,20040418235208)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (4,'text_license_a','Released under the Remote Assessment Limited Use Open Source License (L1-RA1008)',1,1,20040418235300,20040418235300)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (5,'text_pagetime_a','Seconds to build page:',1,1,20040419000420,20040418235816)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (6,'alt_headerimage_a','Aanval Console by Remote Assessment',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (7,'site_page_title_a','Remote Assessment:: Aanval Console',1,1,20040419122709,20040419001406)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (8,'site_page_author_a','Remote Assessment - Aanval Console Development Team',1,1,20040419122709,20040419001502)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (9,'site_page_copyright_a','Copyright 2002 - 2004 Remote Assessment; All Rights Reserved',1,1,20040419122709,20040419001536)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (10,'int_pagetime_a','1',1,1,20040420205114,20040419121851)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (11,'alt_powerby_snort_a','Aanval - Snort Utilization Enabled',1,1,20040419122232,20040419122232)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (12,'site_page_keywords_a','hack, underground, hackers, cryptography, hardware, cipher, wap, wireless application protocol, icq, infosec, exploit, vulnerability, LAN, WAN, hackbox, security, Security, e-books, free, books, software, help, cloacked, microsoft, linux, sophos, avert, labs, trojan horse, bookstore, cyber, culture, modem, hacking, crackers, crack, cracking, phreak, phreaking, kernel, jail, LWL, UDP, STP, groups,government, echelon, secret, spies, spy, visual basic, ruling, distributed, daily, updates, news, techical, base, protect, removal, protecting, network security, unix hacking, linux hacking, unix, linux, wireless, articles, security articles, hacking articles, IT, IS, information technology, information security,security tool box, black cat, viruses, security news,info,vulnerabilities,greek scene,greece,hellenic,gusg,Gusg,GUSG,hackbox, cloacked, microsoft, linux,sophos, avert, labs, trojan horse, crack, cracking, phreak, phreaking, kernel,Windows, MacOS, Nokia, MiniDisc, Chipcards, jail, groups,government, echelon, secret, spies, spy, visual basic, ruling, distributed, daily, updates, news, techical, base, protect, removal, protecting, wireless, articles, security articles, hacking articles, IT, IS, information technology, vulnerability, risk, risk management, manage, assessment, audit, security assessment, vulnerability assessment, hackz, sploit, sploits, irc, mirc, nids, dos, ddos, intrusion, detection, console, snort, snort-ids, ids, nids, hids, intrusion-detection, intrusion detection console',1,1,20040419122709,20040419122526)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (13,'site_page_generator_a','VIM - Every last bit!',1,1,20040419133738,20040419122815)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (14,'site_page_content_type_a','text/html; charset=ISO-8859-7',1,1,20040419123014,20040419123004)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (15,'site_page_description_a','Aanval - Intrusion Detection Console - http://www.aanval.com',1,1,20040419123213,20040419123213)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (16,'site_page_style_a','<style>        TD { COLOR:#000000;                font-family:tahoma;                font-size:11px;}        A { COLOR:#000055;                font-family:tahoma;                font-size:11px;                text-decoration:none;}        A:hover{ COLOR:#000055;                font-family:tahoma;                font-size:11px;                text-decoration:underline;}        </style>',1,1,20040420210729,20040419123346)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (17,'text_user_window_heading_a','User Information',1,3,20040616202330,20040419123539)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (22,'site_page_bgcolor_b','#DEDEDE',1,1,20040419124940,20040419124940)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (18,'img_header_left_a','images/head_lefta.jpg',1,1,20040419123714,20040419123714)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (19,'img_header_right_a','images/head_righta.jpg',1,1,20040419123828,20040419123828)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (20,'img_header_center_a','images/head_centera.jpg',1,1,20040419123921,20040419123843)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (21,'site_page_bgcolor_a','#FFFFFF',1,1,20040419124226,20040419124149)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (23,'xxx','1',1,1,20040629015936,20040419125448)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (24,'text_logged_in_a','User Logged In',1,1,20040419125608,20040419125608)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (25,'text_logout_a','logout',1,1,20040419125716,20040419125716)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (26,'xxx','Session Status',1,1,20040629015953,20040419125828)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (27,'text_logged_in_a','User Logged In',1,3,20040616202330,20040419133047)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (28,'text_logout_a','logout',1,3,20040616202330,20040419133152)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (29,'xxx','Session Status',1,3,20040629015953,20040419133253)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (30,'int_user_window_a','1',1,1,20040419134139,20040419134139)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (31,'text_user_window_heading_a','User Information',1,1,20040419134236,20040419134236)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (32,'text_unauthorized_heading_a','Unauthorized Access',1,1,20040419134613,20040419134515)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (34,'img_powerby_ra_a','images/powered.jpg',1,1,20040419135030,20040419135030)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (35,'alt_powerby_ra_a','Powered by Remote Assessment',1,1,20040419135134,20040419135134)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (36,'int_version_display_a','1',1,1,20040419135406,20040419135406)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (37,'img_column_marker_a','images/darrow.gif',1,1,20040419170138,20040419170138)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (33,'text_unauthorized_body_a','<br><center><h3><font color=AA0000>Un-Authorized Access</font></h3></center><p>Possible reasons for this error:<p>1: You are not currently logged in.<br>2: You have accessed an invalid url.<br>3: You have accessed a url that is no longer available.<p>Use your browsers back button, or attempt to login again.<p>',1,1,20040616202330,20040419134558)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (38,'img_match_marker_small_a','images/mark1.gif',1,1,20040419171019,20040419170624)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (39,'img_match_marker_large_a','images/mark.gif',1,1,20040419172546,20040419171042)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (40,'site_rollover_color_a','#AAAADD',1,1,20040419171340,20040419171340)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (41,'img_event_level_1_a','images/pri3.gif',1,1,20040419173858,20040419173858)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (42,'img_event_level_2_a','images/pri4.gif',1,1,20040419173916,20040419173916)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (43,'img_event_level_3_a','images/pri1.gif',1,1,20040419173929,20040419173929)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (44,'img_event_level_4_a','images/pri3.gif',1,1,20040419173943,20040419173943)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (45,'img_event_level_5_a','images/pri5.gif',1,1,20040419174004,20040419174004)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (46,'text_lang_change_heading','Language Settings',1,1,20040420193657,20040420193657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (47,'text_lang_change_body','Language Change Successful!',1,1,20040420193721,20040420193721)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (48,'img_flags_en','images/flags/en.png',1,1,20040420200739,20040420200739)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (49,'img_flags_de','images/flags/de.png',1,1,20040420200804,20040420200804)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (50,'img_flags_cc','images/flags/cc.png',1,1,20040420200829,20040420200829)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (51,'img_flags_es','images/flags/es.png',1,1,20040420200849,20040420200849)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (52,'img_flags_fr','images/flags/fr.png',1,1,20040420200911,20040420200911)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (53,'int_multi_lingual_a','0',1,1,20040618140411,20040420201025)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (56,'alt_flags_es','Spanish',1,1,20040420210110,20040420210110)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (54,'alt_flags_en','English',1,1,20040420210037,20040420210037)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (55,'alt_flags_de','German',1,1,20040420210057,20040420210057)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (58,'text_url_main_a','Main',1,1,20040420214351,20040420214351)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (59,'text_url_monitor1_a','View A',1,1,20040629012801,20040420214447)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (60,'text_url_monitor2_a','View B',1,1,20040629012801,20040420214519)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (61,'text_url_event_browser_a','Event Browser',1,1,20040420214617,20040420214617)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (62,'text_url_action_mgr_a','Action Manager',1,1,20040420214751,20040420214751)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (63,'text_url_collection_mgr_a','Collection Manager',1,1,20040420214815,20040420214815)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (64,'text_url_version_a','Version',1,1,20040420214839,20040420214839)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (65,'text_main_window_heading_a','Main Menu',1,1,20040517193038,20040420214956)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (66,'text_url_sensor_stats1_a','Sensor Stats - view a',1,1,20040427123223,20040427123223)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (67,'img_mascot_a','images/mantis1.jpg',1,1,20040427144034,20040427144034)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (68,'text_url_report_mgr_a','Report Manager',1,1,20040427151423,20040427151423)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (69,'img_mascot_b','images/mantis2.jpg',1,1,20040427152611,20040427152611)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (57,'alt_flags_fr','French',1,1,20040420210206,20040420210130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (70,'int_title_messages_a','1',1,1,20040502024929,20040502024711)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (71,'text_url_monitor3_a','View C',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (72,'site_timezone','57',1,1,20040616202338,20040616195044)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (73,'site_idstrack_max_rows','75000',1,1,20040622012508,20040618074449)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (74,'site_dir_syslog','syslog/',1,1,20040618075729,20040618075729)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (75,'site_table.idsTrack','idsTrack',1,1,20040618080045,20040618080045)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (76,'site_table.idsFrequentOffenders','idsFrequentOffenders',1,1,20040618080252,20040618080252)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (77,'site_table.idsHostnames','idsHostnames',1,1,20040618080407,20040618080407)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (78,'site_table.idsMain','idsMain',1,1,20040618081001,20040618081001)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (79,'site_table.idsSensor','idsSensor',1,1,20040618081017,20040618081017)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (80,'site_table.idsMark','idsMark',1,1,20040618081029,20040618081029)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (81,'site_table.idsStatus','idsStatus',1,1,20040618081041,20040618081041)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (82,'site_table.idsOadBuffer','idsOadBuffer',1,1,20040618081055,20040618081055)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (83,'site_table.idsModules','idsModules',1,1,20040618081117,20040618081117)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (84,'site_table.idsOps','idsOps',1,1,20040618081128,20040618081128)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (85,'site_table.idsLogs','idsLogs',1,1,20040618081150,20040618081150)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (86,'site_table.idsCollection','idsCollection',1,1,20040618081201,20040618081201)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (87,'site_table.idsTimezones','idsTimezones',1,1,20040618081214,20040618081214)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (88,'site_table.idsAction','idsAction',1,1,20040618081227,20040618081227)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (89,'site_table.idsUsers','idsUsers',1,1,20040618081239,20040618081239)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (90,'site_oadUpload','1',1,1,20040622013720,20040618081407)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (91,'site_oadInterval','900',1,1,20040618081628,20040618081628)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (92,'site_oadBuffer','100',1,1,20040618081708,20040618081708)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (93,'site_eventDisplayTiming1','120',1,1,20040621202439,20040621192128)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (94,'site_eventDisplayTiming2','240',1,1,20040621202439,20040621192140)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (95,'site_eventDisplayTiming3','480',1,1,20040621202439,20040621192150)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (96,'site_eventDisplayTiming4','720',1,1,20040621202439,20040621192210)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (97,'site_eventDisplayColor1','red',1,1,20040621195217,20040621195217)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (98,'site_eventDisplayColor2','orange',1,1,20040621195827,20040621195317)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (99,'site_eventDisplayColor3','blue',1,1,20040621195827,20040621195331)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (100,'site_eventDisplayColor4','green',1,1,20040621195827,20040621195343)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (101,'site_reportTitleA','Dynamic Report Generation Engine',1,1,20040712233554,20040712233554)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (102,'site_reportBuildTextA','Report Building In Progress...',1,1,20040712233700,20040712233700)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (103,'site_reportBuildTextB','may take several seconds to complete',1,1,20040712233822,20040712233822)");
	    $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (104,'site_logsManagerDisplayRows','200',1,1,20040712233822,20040712233822)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (105,'site_reportMaxRows','1000',1,1,20040712233822,20040712233822)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (106,'site_startPage','?',1,1,20040712233822,20040712233822)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (108,'site_redirectTime','2',1,1,20040712233822,20040712233822)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (109,'site_monitorLocal','right',1,1,20040712233822,20040712233822)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (110,'site_charts','0',1,1,20040712233822,20040712233822)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (111,'text_url_notes_mgr_a','Notes Manager',1,1,20040420214815,20040420214815)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (112,'site_system','1008',1,1,20040420214815,20040420214815)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (113,'text_misc_1008','Aanval',1,1,20040420214815,20040420214815)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (114,'text_misc_2008','ComAanval',1,1,20040420214815,20040420214815)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (115,'img_header_left_b','images/head_leftb.jpg',1,1,20040419123714,20040419123714)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (116,'alt_headerimage_b','Aanval Console by Remote Assessment',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (117,'site_imageset','1',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (118,'img_home_a','home_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (119,'img_eventBrowser_a','eventBrowser_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (120,'img_reportManager_a','reportManager_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (121,'img_actionManager_a','actionManager_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (122,'img_collectionManager_a','collectionManager_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (123,'img_notesManager_a','notesManager_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (124,'img_versionManager_a','versionManager_a.png',1,1,20040419000657,20040419000657)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (125,'text_url_monitor4_a','View D',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (126,'ralph_enabled','1',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (127,'ralph_thresholdA','250',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (128,'ralph_thresholdB','500',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (129,'ralph_thresholdC','1000',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (130,'ralph_historyRowsA','25',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (131,'ralph_analysisRowsA','5',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (132,'ralph_autoping','0',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (133,'ralph_autoscan','0',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (134,'ralph_autoscanThreshold','500',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (135,'site_archiveRotationDays','90',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (136,'site_archiveRotationEvents','100000',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (137,'site_archiveTablePrefix','idsArchive',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (138,'site_activeDataTable','idsMain',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (139,'site_archiveEnabled','0',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (140,'site_community','1',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (141,'site_table.idsCommunityBuffer','idsCommunityBuffer',1,1,20040618081227,20040618081227)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (142,'site_plainLogin','0',1,1,20040618081227,20040618081227)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (143,'site_table.idsCommunityMain','idsCommunityMain',1,1,20040618081227,20040618081227)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (144,'ralph_analysisEnabled','0',1,1,20040618081227,20040618081227)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (145,'ralph_autoemail','0',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (146,'ralph_autoemailThreshold','500',1,1,20040629012801,20040520011130)");
        $out .= insertTableData($aanvaldbprefix . "idsOps", "INSERT INTO " . $aanvaldbprefix . "idsOps VALUES (147,'ralph_autoemailAddress','email@address.com',1,1,20040629012801,20040520011130)");

        if ($failureFive == 0) {
            if (!$upgrade) {
                $out .= "<br><form method=post action ='?phase=phaseSix'><input type=submit name=b1 value='Next Phase'></form>";
            } else if ($upgrade == 1) {
                $ran = rand(100000,9999999);
                @unlink("upgrade");
                @rename("setup.php", "setup_$ran.php");
                $out .= "<br><form method=post action ='$aanvalsite'><input type=submit name=b1 value='Goto Aanval'></form>";
            }
        } else {
                $out .= "<p><font color=red>Setup can not continue until the above failures have been resolved!</font>";
        }

        return $out;
}

function phaseSix() {
        global $failureSix;

        include "../conf/conf.php";

        $ran = rand(100000,9999999);

        $out .= "<font color=#555555><b>Setup</b> -> Phase Six (Finish)</font><p>";
        $out .= "Your OpenAanval Setup is Complete. (see below)<p>
	<font color=blue><b>Login Information</b></font><br>Username: root<br>Password: specter<p>
	<font color=red>
	Remember, to change your password!</font><br>";

        $epoch = date("U");
        $fp = fopen ("install.cert", "w");
        if ($fp) {
                fputs ($fp, "$epoch");
                fclose($fp);
        }
        @unlink("upgrade");
        @rename("setup.php", "setup_$ran.php");

        $fp = fopen ($root_path . "apps/idsBackground.pl", "w");
        if ($fp) {
                fputs ($fp, "#!/usr/bin/perl -w\n\nuse strict;\n\nwhile(1) {\n\tsystem(\"php -q " . $root_path . "apps/processor.php\");\n\tsleep 5;\n}\n\n");
                fclose($fp);
        }
        @chmod($root_path . "apps/idsBackground.pl", 0755);

        if ($failureSix == 0) {
                $out .= "<br><form method=post action ='$aanvalsite'><input type=submit name=b1 value='Goto OpenAanval'></form>";
        } else {
                $out .= "<p><font color=red>Setup can not continue until the above failures have been resolved!</font>";
        }

        return $out;
}

function pub_main() {
        global $phase;

        echo $phase();
}

function site() {
        global $op, $upgrade;

        if (!$upgrade) {
            echo "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td>";
                $op();
            echo "</td></tr></table>";
        } else if ($upgrade == 1) {
            echo "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td>";
                echo phaseFive();
            echo "</td></tr></table>";
        }
}

function heading() {
    global $upgrade;

    if (!$upgrade) {
        $aanvalText = "Aanval Setup";
    } else if ($upgrade == 1) {
        $aanvalText = "Aanval Upgrade";
    }

        echo "        <style>
        TD { COLOR:#000000;
                font-family:tahoma;
                font-size:11px;}
        DIV {padding-top:10px;
             padding-bottom:10px;
                 padding-left:10px;
                 padding-right:10px;}
        A { COLOR:#0000CC;
                font-family:tahoma;
                font-size:11px;
                text-decoration:none;}
        A:hover{ COLOR:#0000EE;
                font-family:tahoma;
                font-size:11px;
                text-decoration:none;}
        </style>";

        echo "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td>";
        echo "<font color=#CDCDCD><h2><i>$aanvalText</i></h2></font>";
        echo "</td></tr></table>";

        echo "<table border=0 width=100% cellpadding=0 cellspacing=0>";
        echo "<tr height=4 bgcolor=#CCCCCC><td></td></tr>";
        echo "<tr height=3 bgcolor=#EEEEEE><td></td></tr>";
        echo "</table><br>";
}

function footing() {

        echo "<br><table border=0 width=100% cellpadding=0 cellspacing=0><tr><td>";

        echo "<table border=0 width=100% cellpadding=0 cellspacing=0>";
        echo "<tr height=4 bgcolor=#CCCCCC><td></td></tr>";
        echo "<tr height=3 bgcolor=#EEEEEE><td></td></tr>";
        echo "</table><br>";

        echo "<center>Copyright 2004 - Remote Assessment</center>";

        echo "</td></tr></table>";
}

function getVar($in) {
        if (isset($_POST[$in])) {
                $out = $_POST[$in];
        } else {
                $out = $_GET[$in];
        }
        return $out;
}

function pub_sendmail($from_email, $from_name, $to_email, $to_name, $subject, $message) {
        $headers .= "From: " . $from_name . " <" . $from_email . ">\r\n";
        mail($to_email, $subject, $message, $headers);
}

function getVersion() {

        $version = file("../version/version.txt");

        $major = rtrim($version[0]);
        $minor = rtrim($version[1]);
        $name = rtrim($version[2]);

        $out = "$major.$minor ($name)";

	return $out;
}

function versionChecker() {

        $epoch = date("U");
        $tmp = file ("../version/version.txt");
        $major = rtrim($tmp[0]);
        $minor = rtrim($tmp[1]);
        $name = rtrim($tmp[2]);

        $read = @file("http://update.aanval.com/updater/openaanval_ver.php?major=$major&minor=$minor");
        $out = rtrim($read[0]) . "\n" . rtrim($read[1]) . "\n" . rtrim($read[2]) . "\n" . "$epoch";

        $fp = fopen ("../version/ver", "w");
        if ($fp) {
                fputs ($fp, "$out");
                fclose($fp);
        }

	if (file_exists("../version/ver")) {
	        $avail = file("../version/ver");

	        $cur = file("../version/version.txt");
	        if ($cur[0] >= $avail[0] && $cur[1] >= $avail[1]) {
	                $out = "This is the latest available version.";
	        } else {
	                $out = "<font color=red>New version available on the Aanval website. Please download and restart the installation.</font>";
	        }
	} else {
                $out = "<font color=red>Unable to make version comparison.</font>";
	}

        return $out;
}

function fileWriteTest($data) {
        global $failureTwo;

        $out .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Testing: ";
        if (is_writable("$data")) {
                $out .= "[<font color=green>pass</font>]";
        } else {
                $out .= "[<font color=red>fail</font>]";
                $failureTwo = 1;
        }
        $out .= "&nbsp;&nbsp;&nbsp;$data<br>";

        return $out;
}

function fileExistTest($data) {
        global $failureTwo;

        $out .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Testing: ";
        if (file_exists("$data")) {
                $out .= "[<font color=green>pass</font>]";
        } else {
                $out .= "[<font color=red>fail</font>]";
                $failureTwo = 1;
        }
        $out .= "&nbsp;&nbsp;&nbsp;$data<br>";

        return $out;
}

function writeConfigFile($dbname, $dbusername, $dbuserpass, $dbhost, $dbprefix, $versioncheck, $bulletincheck, $rootURL, $baseDIR) {

        $out .= "<?php\n\n";
        $out .= "// Aanval Configuration File\n\n";
        $out .= "\$aanvaldb = \"$dbname\";\n\$aanvaldbuser = \"$dbusername\";\n\$aanvaldbpass = \"$dbuserpass\";\n\$aanvaldbhost = \"$dbhost\";\n\$aanvaldbprefix = \"$dbprefix\";\n\n\$version_checking = \"$versioncheck\";\n\$bulletin_checking = \"$bulletincheck\";\n\n\$root_path = \"$baseDIR\";\n\$aanvalsite = \"$rootURL\";\n\n?>";

        $fp = fopen ("../conf/conf.php", "w");
        if ($fp) {
                fputs ($fp, "$out");
                fclose($fp);
                $write = 1;
        } else {
                $write = 0;
        }

        return $write;
}

/*
        Database: Table Creation and Insert Functions
*/

function createTable($table, $createQuery) {
        global $failureFive, $upgrade;

        include "../conf/conf.php";

        if ($upgrade == 1) {
            $upText = "<font color=blue>This is an upgrade!</font>";
        } else {
            $upText = "";
        }

        $out .= "$table: ";
        // Check Database Connect and Select
        if (@mysql_connect("$aanvaldbhost", "$aanvaldbuser", "$aanvaldbpass")) {
                if (@mysql_select_db($aanvaldb)) {
                } else {
                        $error .= "<font color=red>MYSQL Select Database Failed! (Incorrect database name)</font>";
                        $failureFive = 1;
                }

                // Check to see if Table exists
                if (@mysql_query("select * from $table")) {
                        $out .= "MYSQL TABLE EXISTS! ($upText Continuing...)";
                } else {
                        // Creation and Inserts Go Here
                        if (@mysql_query("$createQuery")) {
                                $out .= "MYSQL CREATE Query Success";
                        } else {
                                $out .= "<font color=red>MYSQL CREATE Query Failed! (Check user privileges)</font>";
                                $failureFive = 1;
                        }
                }
        } else {
                $error .= "<font color=red>MYSQL Connect Database Failed! (Incorrect hostname, username / password)</font>";
        }

        return "$out $error<br>";
}

function insertTableData($table, $insertQuery) {
        global $failureFive, $insertVar, $upgrade;

        include "../conf/conf.php";

        if ($upgrade == 1) {
            $upText = "<font color=blue>This is an upgrade!</font>";
        } else {
            $upText = "";
        }

        $out .= "$table: ";
        // Check Database Connect and Select
        if (@mysql_connect("$aanvaldbhost", "$aanvaldbuser", "$aanvaldbpass")) {
                if (@mysql_select_db($aanvaldb)) {
                } else {
                        $error .= "<font color=red>MYSQL Select Database Failed! (Incorrect database name)</font>";
                        $failureFive = 1;
                }

                // Check to see if Table exists
                if (@mysql_query("select * from $table")) {
                        // Creation and Inserts Go Here
                        if (@mysql_query("$insertQuery")) {
                                $out .= "MYSQL INSERT Query Success";
                        } else {
                                $out .= "MYSQL TABLE DATA EXISTS! ($upText Continuing...)";
                        }
                } else {
                        $out .= "<font color=red>MYSQL INSERT Query Failed! (Check user privileges - Table may not have been created!)</font>";
                        $failureFive = 1;
                }
        } else {
                $error .= "<font color=red>MYSQL Connect Database Failed! (Incorrect hostname, username / password)</font>";
        }

        return "$out $error<br>";
}

?>
